EndpointsCogents
Create cogent
POST
/v2/cogentsMakes one of the caller's players a cogent, whose state this API keeps. Making a cogent of a player that already is one returns it unchanged.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token issued by Softmax
In: header
Request Body
application/json
player_id*Player Id
Player to make a cogent. It must be one of the caller's players.
Match
^ply_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$curl -X POST "https://softmax.com/api/observatory/v2/cogents" \ -H "Content-Type: application/json" \ -d '{ "player_id": "string" }'{ "cogent_id": "string", "name": "string", "owner_name": "string", "avatar_url": "string", "created_at": "2019-08-24T14:15:22Z"}